<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="devSoldJOUR3_sub_sql"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Landscape"
		 pageWidth="177"
		 pageHeight="20"
		 columnWidth="177"
		 columnSpacing="0"
		 leftMargin="0"
		 rightMargin="0"
		 topMargin="0"
		 bottomMargin="0"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="ECD_ORDRE" isForPrompting="true" class="java.math.BigDecimal"/>
	<parameter name="ECD_MONTANT" isForPrompting="false" class="java.math.BigDecimal"/>
	<queryString><![CDATA[select * from (
select emd.ecd_ordre_source as ecd_ordre, ecd_ordre_destination as ecd_ordre2, ecd_index, ema_numero, ema_date, emd.emd_montant,e.ecr_numero 
from maracuja.emargement_detail emd, maracuja.emargement ema, maracuja.ecriture_detail ecd, maracuja.ecriture e
where ema.ema_ordre=emd.ema_ordre
and emd.ecd_ordre_destination = ecd.ecd_ordre
and ecd.ecr_ordre=e.ecr_ordre
and substr(ema_etat,1,1)='V'
union
select emd.ecd_ordre_destination as ecd_ordre, ecd_ordre_source as ecd_ordre2, ecd_index, ema_numero, ema_date, emd.emd_montant,e.ecr_numero 
from maracuja.emargement_detail emd, maracuja.emargement ema, maracuja.ecriture_detail ecd, maracuja.ecriture e
where ema.ema_ordre=emd.ema_ordre
and emd.ecd_ordre_source = ecd.ecd_ordre
and ecd.ecr_ordre=e.ecr_ordre
and substr(ema_etat,1,1)='V'
) where ecd_ordre=$P{ECD_ORDRE}]]></queryString>

	<field name="ECD_ORDRE" class="java.math.BigDecimal"/>
	<field name="ECD_ORDRE2" class="java.math.BigDecimal"/>
	<field name="ECD_INDEX" class="java.math.BigDecimal"/>
	<field name="EMA_NUMERO" class="java.math.BigDecimal"/>
	<field name="EMA_DATE" class="java.sql.Timestamp"/>
	<field name="EMD_MONTANT" class="java.math.BigDecimal"/>
	<field name="ECR_NUMERO" class="java.math.BigDecimal"/>

	<variable name="somme_emd_montant" class="java.math.BigDecimal" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{EMD_MONTANT}]]></variableExpression>
	</variable>
	<variable name="RESTE_EMARGER" class="java.math.BigDecimal" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[$P{ECD_MONTANT}.abs().subtract($V{somme_emd_montant})]]></variableExpression>
	</variable>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="9"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="24"
						height="9"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="5"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{EMA_NUMERO}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="24"
						y="0"
						width="38"
						height="9"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="5"/>
					</textElement>
				<textFieldExpression   class="java.sql.Timestamp"><![CDATA[$F{EMA_DATE}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="86"
						y="0"
						width="45"
						height="9"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="5"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$F{EMD_MONTANT}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="62"
						y="0"
						width="24"
						height="9"
						key="textField">
							<printWhenExpression><![CDATA[Boolean.valueOf($F{ECD_ORDRE}.intValue()!=$F{ECD_ORDRE2}.intValue())]]></printWhenExpression>
						</reportElement>
					<box></box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="5"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{ECR_NUMERO}.intValue()+"/ "+$F{ECD_INDEX}.intValue()]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="131"
						y="0"
						width="45"
						height="9"
						key="textField-7"/>
					<box></box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="5"/>
					</textElement>
				<textFieldExpression   class="java.math.BigDecimal"><![CDATA[$V{RESTE_EMARGER}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
